CIRRUS(__drivermansuffix__)

NAME
cirrus - Cirrus Logic video driver

SYNOPSIS
Section "Device"
  Identifier "devname"
  Driver "cirrus"
  ...
EndSection

DESCRIPTION
cirrus is an XFree86 driver for Cirrus Logic video chips. The driver provides support for the following framebuffer depths: 8, 15, 16, 24, 32 bpp. The cirrus_alpine module also supports 1 and 4 bpp. Conversion of 32 bpp to 24 bpp is supported and preferred.

Interlace is not supported. DGA is supported. RAMDAC speed may be specified.

SUPPORTED HARDWARE
The cirrus driver supports several chipsets through two automatically loaded modules.

CL-GD546x support is in the cirrus_laguna module:

CL-GD5462

CL-GD5464

CL-GD5464BD

CL-GD5465

cirrus_alpine module:

CL-GD5430

CL-GD5434-4

CL-GD5434-8

CL-GD5436

CL-GD5446

CL-GD5480

CL-GD7548

CL-GD7555

CL-GD7556

CONFIGURATION DETAILS
Please refer to XF86Config(__filemansuffix__) for general configuration details. This section only covers configuration details specific to this driver.

The following driver Options are supported:

cirrus_laguna module:
    ChipRev HWcursor NoAccel Rotate ShadowFB

cirrus_alpine module:
    ChipRev HWcursor MemCFG1 MemCFG2 MMIO NoAccel Rotate ShadowFB

VideoRam
    If VideoRam is specified, that setting is respected and memory is not probed.

Option "Clocks"
    Clocks line may not be specified for Cirrus chips.

Option "HWCursor" "boolean"
    Enable or disable the HW cursor. Hardware cursor sizes of 32 and 64 are supported in the "Alpine" module. Hardware cursor size of 64 is supported in the "Laguna" module. Default: on for 7548, 7555/6; otherwise off.

Option "MemCFG1" "integer"

Option "MemCFG2" "integer"
    May configure memory on non-primary cards. "Alpine" module does not yet know how to configure memory. Use options MemCFG1 and MemCFG2 to set registers SR0F and SR17 before trying to count ram size. The 754x supports MMIO for the BitBlt engine but not for the VGA registers. The 754x may have difficulty with 2 256K X 16 DRAMs (1024) or 4 512K X 8 DRAMs (2048). The 7555/6 assumes 2048. Default: memory automatically detected.

Option "MMIO" "boolean"
    By default, MMIO is used if we have a separate IOAddress and not in monochrome mode (1 bpp). When MMIO is not used, RAC IO flags RAC_COLORMAP, RAC_CURSOR, RAC_VIEWPORT, and RAC_FB are set. Default: on

Option "NoAccel" "boolean"
    Disable or enable acceleration. Acceleration can not be used in less than 8 bpp. Default: Acceleration disabled for 5436, 5480, 7548; otherwise enabled.

Option "PciRetry" "boolean"
    Enable or disable PCI retries. Default: off.

Option "Rotate" "CW"

Option "Rotate" "CCW"
    Rotate the display clockwise or counterclockwise. This mode is unaccelerated. This mode forces use of the shadow framebuffer layer. Screen depth must be less than 8 bpp with "Alpine" module. HW cursor is disabled with Rotate. Default: no rotation.

Option "ShadowFB" "boolean"
    Enable or disable use of the shadow framebuffer layer. This mode is unaccelerated. Screen depth must be less than 8 bpp with "Alpine" module. Default: off.

SEE ALSO
XFree86(1), XF86Config(__filemansuffix__), xf86config(1), Xserver(1), X(__miscmansuffix__)

AUTHORS
Authors of this document include: Scot Wilcoxon (Scot@Wilcoxon.org), authors of mga(4x).